Rails.application.routes.draw do
  resources :reviews
  get 'users/index'
  get 'users/new'
  post 'users/create'
  get 'users/edit'
  put 'users/update'
  get 'users/forgotten'
  post 'users/recover'
  delete 'users/destroy'
  resources :tasks
  resources :quizzes
  get 'say/hello'
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
